### Function

# GObject type_get_qdata

#### Declaration [src]

    gpointer
    g_type_get_qdata (
      GType type,
      GQuark quark
    )

#### Description [src]

Obtains data which has previously been attached to `type` with g_type_set_qdata().

Note that this does not take subtyping into account; data attached to one type with `g_type_set_qdata()` cannot be retrieved from a subtype using g_type_get_qdata().

#### Parameters

`type`

  Type: `GType`

  A `GType`.

`quark`

  Type: `GQuark`

  A `GQuark` id to identify the data.

#### Return value

Type: `gpointer`

The data, or `NULL` if no data was found.

The data is owned by the called function.
The return value can be `NULL`.